# apiVersion: kafka.strimzi.io/v1
# kind: KafkaNodePool
# metadata:
#   name: kafka-pool
#   namespace: kafka
#   labels:
#     strimzi.io/cluster: my-cluster
# spec:
#   replicas: 3
#   roles:
#     - controller
#     - broker
#   storage:
#     type: jbod
#     volumes:
#       - id: 0
#         type: persistent-claim
#         size: 100Gi
#         deleteClaim: false
#   resources:
#     requests:
#       memory: 2Gi
#       cpu: "1"
#     limits:
#       memory: 4Gi
#       cpu: "2"
# ---
apiVersion: kafka.strimzi.io/v1
kind: KafkaNodePool
metadata:
  name: controller-pool
  namespace: kafka
  labels:
    strimzi.io/cluster: my-cluster
spec:
  replicas: 3
  roles:
    - controller
  storage:
    type: persistent-claim
    size: 10Gi
    deleteClaim: false
  resources:
    requests:
      memory: 1Gi
      cpu: "0.5"
    limits:
      memory: 2Gi
      cpu: "1"
---
apiVersion: kafka.strimzi.io/v1
kind: KafkaNodePool
metadata:
  name: broker-pool
  namespace: kafka
  labels:
    strimzi.io/cluster: my-cluster
spec:
  replicas: 3
  roles:
    - broker
  storage:
    type: jbod
    volumes:
      - id: 0
        type: persistent-claim
        size: 100Gi
        deleteClaim: false
  resources:
    requests:
      memory: 2Gi
      cpu: "1"
    limits:
      memory: 4Gi
      cpu: "2"
